org.keycloak.models.sessions.jpa.entities

## Class UsernameLoginFailureEntity

- java.lang.Object
- - org.keycloak.models.sessions.jpa.entities.UsernameLoginFailureEntity

-     @Entity
      public class UsernameLoginFailureEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsernameLoginFailureEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `failedLoginNotBefore`
    `protected long` | `lastFailure`
    `protected String` | `lastIPFailure`
    `protected int` | `numFailures`
    `protected String` | `realmId`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsernameLoginFailureEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFailedLoginNotBefore()`
    `long` | `getLastFailure()`
    `String` | `getLastIPFailure()`
    `int` | `getNumFailures()`
    `String` | `getRealmId()`
    `String` | `getUsername()`
    `void` | `setFailedLoginNotBefore(int failedLoginNotBefore)`
    `void` | `setLastFailure(long lastFailure)`
    `void` | `setLastIPFailure(String lastIPFailure)`
    `void` | `setNumFailures(int numFailures)`
    `void` | `setRealmId(String realmId)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### username

          protected String username

    - #### realmId

          protected String realmId

    - #### failedLoginNotBefore

          protected int failedLoginNotBefore

    - #### numFailures

          protected int numFailures

    - #### lastFailure

          protected long lastFailure

    - #### lastIPFailure

          protected String lastIPFailure

  - ### Constructor Detail

    - #### UsernameLoginFailureEntity

          public UsernameLoginFailureEntity()

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFailedLoginNotBefore

          public int getFailedLoginNotBefore()

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(int failedLoginNotBefore)

    - #### getNumFailures

          public int getNumFailures()

    - #### setNumFailures

          public void setNumFailures(int numFailures)

    - #### getLastFailure

          public long getLastFailure()

    - #### setLastFailure

          public void setLastFailure(long lastFailure)

    - #### getLastIPFailure

          public String getLastIPFailure()

    - #### setLastIPFailure

          public void setLastIPFailure(String lastIPFailure)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

Copyright © 2014. All Rights Reserved.